sus = input("Inserisci una stringa: ")

if sus.isalpha():
    if sus.isupper():
        print("La stringa contiene soltanto lettere maiuscole")
    elif sus.islower():
        print("La stringa contiene soltanto lettere minuscole")
    else:
        print("La stringa contiene soltanto lettere")
elif sus.isnumeric():
    print("La stringa contiene soltanto numeri")
elif sus.isalnum():
    print("La stringa contiene soltanto lettere e cifre")

if len(sus) > 0:
    if sus[0].isupper():
        print("La stringa inizia con una maiuscola")
    
    if sus[-1] == ".":
        print("La stringa finisce con un punto")
